<?php
namespace App\Http\Controllers\api;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Category_level;
use App\Models\Level;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

use Mail;

class LevelController extends Controller
{
	public function getCategoryLevels(Request $request)
	{
		$level = Category_level::where('isActive', 1)->get();

		if(count($level)>0)
		{
			$catLevelArray = array();
			foreach ($level as $l) 
			{
				$catImg = "";
                $picture_value = $l->categoryImage;

                if ($picture_value != "" && $picture_value != null) {
                    if (file_exists(public_path() . "/uploads/categoryImage/" . $picture_value)) {
                        $catImg = asset('uploads/categoryImage/' . $picture_value);
                    }
                }
                $iapProductId = "";
                $unlock_amount = "";
                if($l->lock_type == "3")
                {
                	$iapProductId = $l->unlock_amount;
                }
                else
                {
                	$unlock_amount = $l->unlock_amount;
                }
                $levelArray = array();

				$catLevelArray[] = array(
					'categoryId' => $l->id,
					'displayName' => $l->categoryName,
					'saveId' => $l->save_id,
					'icon' => $catImg,
					'categoryColor' => $l->category_color,
					'lockType' => $l->lock_type,
					'unlockAmount' => $unlock_amount,
					'iapProductId' => $iapProductId,
					'wordFile' => "https://keshavinfotechdemo2.com/keshav/KG1/Puzz/files/Animals.txt",
					'levelFiles' => "https://keshavinfotechdemo2.com/keshav/KG1/Puzz/files/animals_7x7_1.json"
					//'levelFiles' => $levelArray
				);
			}
			return response()->json([
	            'status' => 1,
	            'message' => 'Category Level Found',
	            'result' => $catLevelArray
	        ], 200);
		}
        else
        {
        	return response()->json([
		        'status' => 0,
		        'message' => 'No Category levels found'
		    ], 404);
        }
    }

    public function getLevel(Request $request)
	{
		$validator = Validator::make($request->all(), [
            'categoryId'          => 'required',
        ]);
        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 401);
        }
        $input = $request->all();

		$level = Level::where('puzzle_category', '=',$input['categoryId'])->get();

		if(count($level)>0)
		{
			$levelArray = array();
			foreach ($level as $l) 
			{
				$category = Category_level::where('id','=',$input['categoryId'])->first();

				if($category)
				{
					$categoryName = $category->categoryName;
				}
				$levelArray[] = array(
					'levelId' => $l->id,
					'categoryId' => $l->puzzle_category,
					'categoryName' => $categoryName,
					'levelName' => $l->level_name,
					'levelData' => json_decode($l->data),
				);
			}
			return response()->json([
	            'status' => 1,
	            'message' => 'Level Found',
	            'result' => $levelArray
	        ], 200);
		}
        else
        {
        	return response()->json([
		        'status' => 0,
		        'message' => 'No levels found'
		    ], 404);
        }
    }

    public function getLevelDetail(Request $request)
	{
		$validator = Validator::make($request->all(), [
            'levelId'          => 'required',
        ]);
        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 401);
        }
        $input = $request->all();

		$level = Level::where('id', '=',$input['levelId'])->first();

		if($level)
		{
			$category = Category_level::where('id','=',$level->puzzle_category)->first();

			if($category)
			{
				$categoryName = $category->categoryName;
			}

			$levelData['levelId'] = $level->id;
			$levelData['categoryId'] = $level->puzzle_category;
			$levelData['categoryName'] = $categoryName;
			$levelData['levelName'] = $level->level_name;
			$levelData['levelData'] = json_decode($level->data);

			return response()->json([
	            'status' => 1,
	            'message' => 'Level Detail Found',
	            'result' => $levelData
	        ], 200);
		}
        else
        {
        	return response()->json([
		        'status' => 0,
		        'message' => 'Level Detail Not Found'
		    ], 404);
        }
    }

    
}