<?php

namespace App\Http\Controllers\api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Staticpage;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Mail;

class StaticController extends Controller
{ 
    /*Product List*/
    public function getStaticData(Request $request) 
    {
        $validator = Validator::make($request->all(), [
            'userId' => 'required',
            'userToken' => 'required',
            'staticId' => 'required'
        ]);

        if ($validator->fails()) 
        { 
            return response()->json(['error'=>$validator->errors()], 401);            
        }

        $input = $request->all(); 

        //-------------------Message------------------------------
        $msg1 = "Static Data Found";
        $msg2 = "Static Data Not Found";
        $msg3 = "You are not authorized please login again"; 
        //-------------------Message------------------------------  
            
        $verifiedUserId = Controller::checkToken($input['userId'],$input['userToken']);
        
        if($verifiedUserId == $input['userId'])
        {
            $static = Staticpage::query()->where('id','=',$input['staticId'])->get();

            if(count($static)>0)
            {
                $staticImg = "";
                $picture_value = $static[0]->picture;
                if($picture_value != "" && $picture_value != null)
                {
                    if(file_exists(public_path()."/uploads/staticpage_images/".$picture_value))
                    {
                        $staticImg = asset('uploads/staticpage_images/'.$picture_value);
                    }
                }

                $staticdata['staticId'] = $static[0]->id;
                $staticdata['page_title'] = $static[0]->page_title;
                //$staticdata['short_description'] = $static[0]->short_description;
                $staticdata['description'] = $static[0]->description;
                $staticdata['picture'] = $staticImg;
                $staticdata['email'] = $static[0]->email;
                $staticdata['contactNumber'] = $static[0]->contactNumber;
                $staticdata['location'] = $static[0]->location;

                return response()->json(['status'=>1,'message'=>$msg1,'result'=>$staticdata]);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>$msg2]);
            }
        }
        else
        {
            return response()->json(['status'=>0,'message'=>$msg3]);
        }
    }
}