<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();

            $table->string('userName', '100');
            $table->string('agentName', '100')->default();
            $table->string('profileImage', '255')->nullable();

            $table->string('email', '100');
            $table->string('phone');
            $table->string('otp', '20');
           

            $table->tinyInteger('location')->default();
            $table->string('latitude')->default();
            $table->string('longitude')->default();
            $table->tinyInteger('isActive')->default(1)->index('isActive')->comment('1=Active=Deactive');

            $table->tinyInteger('isVerify')->default(0)->comment('1=Verify 0=not verify');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
