@extends('adminpanel.default.master')
@if($data['type'] == "add")
@section('title', 'Add Puzzle Type')
@else
@section('title', 'Edit Puzzle Type')
@endif
@section('content')
<?php
    $label = "Add";
    $categoryName = "";
    $display_name = "";
    $lock_type = "";
    $category_color = "";
    $unlock_amount = "";
    $id = "";
    $isError = false;
    $categoryImage  = asset('adminpanel/images/default-user.jpg');
    $formRoute = 'adminpanel.category.save';
    if(isset($data['error'])) {
        $isError = true;
        if($data['type']=="Edit") {
            $label = "Edit";
            $formRoute = 'adminpanel.category.update';
        }
        $categoryName = $data['input']['categoryName'];
        $display_name = $data['input']['display_name'];
        $lock_type= $data['input']['lock_type'];
        $category_color = $data['input']['category_color'];
        $unlock_amount = $data['input']['unlock_amount'];
    } else {
        if($data['type'] == "edit") {
            $label = "Edit";
            $categoryName = $data['input'][0]->categoryName;
            $categoryImage  = $data['input'][0]->categoryImage;
            $display_name = $data['input'][0]->display_name;
            $lock_type = $data['input'][0]->lock_type;
            $category_color = $data['input'][0]->category_color;
            $unlock_amount = $data['input'][0]->unlock_amount;
            $id = $data['input'][0]->id;
            if($categoryImage!="" && $categoryImage!=null)
            {
                if(file_exists(public_path()."/uploads/categoryImage/".$categoryImage))
                {
                    $categoryImage = asset('/uploads/categoryImage/'.$categoryImage);
                }
            }
            $formRoute = 'adminpanel.category.update';
        }
    }
?>

<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{ $label}} Puzzle Type </strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
        {{ Form::hidden(
        'id', $id
        )
        }}
        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <!-- Tab Content -->
                    <div class="tab-content">
                        <!-- English Tab -->
                        <div class="tab-pane fade show active" id="english" role="tabpanel" aria-labelledby="english-tab">
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Puzzle Type Image</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                        <img src="{{ $categoryImage }}" id="logoimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                        <div class="button-wrapper">
                                            <span class="label">
                                                <img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">
                                            </span>
                                            {{ Form::file(
                                                'categoryImage',
                                                [
                                                    'class' => 'upload-box',
                                                    'id' => 'categoryImage',
                                                    'placeholder' => 'Select category Image',
                                                    'onchange' => 'displaySingleImagePreview(this, "logoimg")'
                                                ]
                                            )
                                            }}
                                        </div>
                                    </div>
                                    @error('categoryImage') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('categoryImage') }}</span> @enderror
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Puzzle Type Name</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    {{ Form::text(
                                        'categoryName', $categoryName,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Puzzle Type Name',
                                        ]
                                    )
                                    }}
                                    @error('categoryName') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('categoryName') }}</span> @enderror
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Display Name</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    {{ Form::text(
                                        'display_name', $display_name,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Display Name',
                                        ]
                                    )
                                    }}
                                    @error('display_name') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('display_name') }}</span> @enderror
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Lock Type</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <select class="form-control" name="lock_type" id="lock_type" onchange="toggleFields()">
                                        <option value="">Select Lock Type</option>
                                        <option value="0" {{ $lock_type == "0" ? 'selected' : '' }}>None</option>
                                        <option value="1" {{ $lock_type == "1" ? 'selected' : '' }}>Coins</option>
                                        <option value="2" {{ $lock_type == "2" ? 'selected' : '' }}>Keys</option>
                                        <option value="3" {{ $lock_type == "3" ? 'selected' : '' }}>IAP</option>
                                    </select>
                                    @error('lock_type') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('lock_type') }}</span> @enderror
                                </div>
                            </div>

                            <!-- Unlock Amount Field -->
                            <div class="user-pro-detail-content-dt-one" id="unlock_amount_div" style="display: none;">
                                <div class="user-pro-detail-content-left">
                                    <label id="unlock_label">Unlock Amount</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    {{ Form::text(
                                        'unlock_amount', $unlock_amount,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Unlock Amount',
                                        ]
                                    )
                                    }}
                                    @error('unlock_amount')
                                        <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">
                                            {{ $errors->first('unlock_amount') }}
                                        </span>
                                    @enderror
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Puzzle Type Color</label> <span style="color: red;">*</span>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    {{ Form::color(
                                        'category_color', $category_color,
                                        [
                                            'class' => 'form-control',
                                            'placeholder' => 'Enter Puzzle Type Name',
                                        ]
                                    )
                                    }}
                                    @error('category_color') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('category_color') }}</span> @enderror
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="next-step-btn-main">
                    {{ Form::button(
                    'Save',
                    [
                    'class' => 'next-step',
                    'type' => 'submit'
                    ]
                    )
                    }}
                </div>
            </div>
        </div>
        {{ Form::close() }}
    </div>
</div>
@include('adminpanel.include.footer')
</div>
</div>
<!-- END** :: DASHBOARD -->
</div>
<div class="index-top-text-main">
    <div class="container">
        <div class="row">
            <div class="index-top-text-sub">
                <h1></h1>
                <p></p>
            </div>
        </div>
    </div>
</div>

<script>
    function toggleFields() {
        var lockType = document.getElementById("lock_type").value;
        var unlockDiv = document.getElementById("unlock_amount_div");
        var unlockLabel = document.getElementById("unlock_label");

        if (lockType === "1") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Coins Amount";
        } else if (lockType === "2") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Keys Amount";
        } else if (lockType === "3") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "IAP Product Id";
        } else {
            unlockDiv.style.display = "none";
        }
    }

    // Ensure the correct field is shown on page load if editing
    document.addEventListener("DOMContentLoaded", function () {
        toggleFields();
    });
</script>

@endsection

