@extends('adminpanel.default.master')
@if($data['type'] == "add")
@section('title', 'Add Group Name')
@else
@section('title', 'Edit Group Name')
@endif
@section('content')
<?php
    $label = "Add";
    $category_id = "";
    $display_name = "";
    $lock_type = "";
    $category_color = "";
    $unlock_amount = "";
    $id = "";
    $isError = false;

    $formRoute = 'adminpanel.categorylevel.save';
    if(isset($data['error'])) {
        $isError = true;
        if($data['type']=="Edit") {
            $label = "Edit";
            $formRoute = 'adminpanel.categorylevel.update';
        }
        $category_id = $data['input']['category_id'];
        $display_name = $data['input']['display_name'];
        $lock_type= $data['input']['lock_type'];
        $category_color = $data['input']['category_color'];
        $unlock_amount = $data['input']['unlock_amount'];
    } else {
        if($data['type'] == "edit") {
            $label = "Edit";
            $category_id = $data['input'][0]->category_id;
            $display_name = $data['input'][0]->display_name;
            $lock_type = $data['input'][0]->lock_type;
            $category_color = $data['input'][0]->category_color;
            $unlock_amount = $data['input'][0]->unlock_amount;
            $id = $data['input'][0]->id;

            $formRoute = 'adminpanel.categorylevel.update';
        }
    }
?>

<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{ $label}} Category </strong></h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        {{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
        {{ Form::hidden(
        'id', $id
        )
        }}
        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Category</label> <span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::select('category_id', $category ,$category_id,
                                [
                                    'class' => 'form-control',
                                    'required' => true,
                                    "id"=>'category_id'
                                ]
                                )
                            }}
                            @error('category_id') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('category_id') }}</span> @enderror
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Display Name</label> <span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'display_name', $display_name,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Display Name',
                                ]
                            )
                            }}
                            @error('display_name') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('display_name') }}</span> @enderror
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Lock Type</label> <span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <select class="form-control" name="lock_type" id="lock_type" onchange="toggleFields()">
                                <option value="">Select Lock Type</option>
                                <option value="0" {{ $lock_type == "0" ? 'selected' : '' }}>None</option>
                                <option value="1" {{ $lock_type == "1" ? 'selected' : '' }}>Coins</option>
                                <option value="2" {{ $lock_type == "2" ? 'selected' : '' }}>Keys</option>
                                <option value="3" {{ $lock_type == "3" ? 'selected' : '' }}>IAP</option>
                            </select>
                            @error('lock_type') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('lock_type') }}</span> @enderror
                        </div>
                    </div>

                    <!-- Unlock Amount Field -->
                    <div class="user-pro-detail-content-dt-one" id="unlock_amount_div" style="display: none;">
                        <div class="user-pro-detail-content-left">
                            <label id="unlock_label">Unlock Amount</label> <span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::text(
                                'unlock_amount', $unlock_amount,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Unlock Amount',
                                ]
                            )
                            }}
                            @error('unlock_amount')
                                <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">
                                    {{ $errors->first('unlock_amount') }}
                                </span>
                            @enderror
                        </div>
                    </div>

                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Category Color</label> <span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            {{ Form::color(
                                'category_color', $category_color,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Category Name',
                                ]
                            )
                            }}
                            @error('category_color') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('category_color') }}</span> @enderror
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="next-step-btn-main">
            {{ Form::button(
            'Save',
            [
            'class' => 'next-step',
            'type' => 'submit'
            ]
            )
            }}
        </div>
    </div>
</div>
        {{ Form::close() }}
    </div>
</div>
@include('adminpanel.include.footer')
</div>
</div>
<!-- END** :: DASHBOARD -->
</div>
<div class="index-top-text-main">
    <div class="container">
        <div class="row">
            <div class="index-top-text-sub">
                <h1></h1>
                <p></p>
            </div>
        </div>
    </div>
</div>

<script>
    function toggleFields() {
        var lockType = document.getElementById("lock_type").value;
        var unlockDiv = document.getElementById("unlock_amount_div");
        var unlockLabel = document.getElementById("unlock_label");

        if (lockType === "1") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Coins Amount";
        } else if (lockType === "2") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "Unlock Keys Amount";
        } else if (lockType === "3") {
            unlockDiv.style.display = "flex";
            unlockLabel.innerText = "IAP Product Id";
        } else {
            unlockDiv.style.display = "none";
        }
    }

    // Ensure the correct field is shown on page load if editing
    document.addEventListener("DOMContentLoaded", function () {
        toggleFields();
    });
</script>
@endsection
