@extends('adminpanel.default.master')

@section('title', 'Add/Edit Customer')

@section('content')

<?php
	$label 			= "Add";
	$id         	= "";
	$fullName 		= "";
	$email 			= "";
	//$password 		= "";
	$phoneNumber    = "";
	$location		= "";
	$latitude		= "";
	$longitude		= "";
	$country		= "";
	$state			= "";
	$city			= "";
	$postal_code	= "";
	$status 		= "";
	$isError 		= false;
	$formRoute 		= 'adminpanel.customer.save';
	$profileImage	= asset('adminpanel/images/default-user.png');

	if(isset($data['error']))
	{
		$isError = true;
		if($data['type']=="Edit")
		{
			$label = "Edit";
			$formRoute = 'adminpanel.customer.update';
		}
		
		$fullName 		= $data['input']['fullName'];
		$email 			= $data['input']['email'];
		//$password 		= $data['input']['password'];
		$phoneNumber 	= $data['input']['phoneNumber'];
		$location 	= $data['input']['location'];
		$latitude 	= $data['input']['latitude'];
		$longitude 	= $data['input']['longitude'];
		$country 	= $data['input']['country'];
		$state 	= $data['input']['state'];
		$city 	= $data['input']['city'];
		$postal_code 	= $data['input']['postal_code'];
		$status			= $data['input']['status'];

	}
	else
	{
		if($data['type'] == "Edit")
		{
			$label 			= "Edit";
			$id 			= $data['input'][0]->id;
			$profileImage 	= $data['input'][0]->profileImage;
			$fullName 		= $data['input'][0]->fullName;
			$email 			= $data['input'][0]->email;
			//$password 		= $data['input'][0]->password;
			$phoneNumber 	= $data['input'][0]->phoneNumber;
			$location 	= $data['input'][0]->location;
			$latitude 	= $data['input'][0]->latitude;
			$longitude 	= $data['input'][0]->longitude;
			$country 	= $data['input'][0]->country;
			$state 	= $data['input'][0]->state;
			$city 	= $data['input'][0]->city;
			$postal_code 	= $data['input'][0]->postal_code;
			$status 		= $data['input'][0]->status;
			
			if($profileImage!="" && $profileImage!=null)
			{
				if(file_exists(public_path()."/uploads/customerImage/".$profileImage))
				{
					$profileImage = asset('/uploads/customerImage/'.$profileImage);
				}
			}
			
			$formRoute = 'adminpanel.customer.update';
		}
	}
?>

<div class="top-dashboard-title">
	<div class="d-code-main">
		<div class="d-title">
			<h4><strong>{{ $label }} Customer</strong><span>|</span>Enter customer details and submit </h4>
		</div>
	</div>
</div>

<div class="dashboard-content-main add-user-main">
	<div class="add-user-one-main-content">
		{{--@if($errors->any())
			<div class="error-message-box">                    
				<p>{{$errors->first()}}</p>
			</div>
		@endif--}}
		@if($isError)
			<div class="error-message-box">
				<?php foreach($data['error']->all() as $error) {
					echo "<p>". $error . "</p>";
				} ?>
			</div>
		@endif
		{{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
			{{ Form::hidden(
				'id', $id
				) 
			}}
			<div class="user-pro-detail-main-content">
				<div class="user-pro-detail-sub-content">
					<div class="user-pro-detail-content">						
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Customer Image</label>
							</div>
							<div class="user-pro-detail-content-right">
								<div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
									<img src="{{ $profileImage }}" id="logoimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
									<div class="button-wrapper">
										<span class="label">
											<img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">
										</span>
										{{ Form::file(
												'profileImage', 
												[
													'class' 		=> 'upload-box',
													'id' 			=> 'profileImage',
													'placeholder' 	=> 'Select Customer Image',
													'onchange' 		=> 'displaySingleImagePreview(this, "logoimg")'
												]
											) 
										}}
									</div>
								</div>
							</div>
						</div>
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Name</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
										'fullName', $fullName, 
										[
											'class' 		=> 'form-control', 
											'placeholder' 	=> 'Enter Name'
										]
									) 
								}}
								@error('fullName') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('fullName') }}</span> @enderror
							</div>
						</div>					
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Email</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::email(
									'email', $email, 
										[
											'class' 		=> 'form-control', 
											'placeholder' 	=> 'Enter email'
										]
									) 
								}}
								@error('email') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('email') }}</span> @enderror
							</div>
						</div>
						{{--<?php if($data['type'] != "Edit") { ?>
							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Password</label>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::password(
										'password',  
											[
												'class' 		=> 'form-control', 
												'placeholder' 	=> 'Enter Password',
											]
										) 
									}}
									@error('password') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('password') }}</span> @enderror
								</div>
							</div>
						<?php } ?>--}}
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Phone Number</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
									'phoneNumber', $phoneNumber, 
										[
											'class' 		=> 'form-control', 
											'placeholder' 	=> 'Enter Phone Number',
											'maxlength' 	=> '10',
											'minlength' 	=> '10'
										]
									) 
								}}
								@error('phoneNumber') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('phoneNumber') }}</span> @enderror
							</div>
						</div>
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Location</label>
							</div>
							<div class="user-pro-detail-content-right">
								{{ Form::text(
                                    'location', $location, 
                                    [
                                        'class' => 'form-control', 
                                        'placeholder' => 'Enter Location',
                                        'id' => 'locality1', 
                                        'onFocus' => 'initAutocomplete()'
                                    ]
                                    ) 
                                }}
                                @error('location') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('location') }}</span> @enderror
							</div>
						</div>
						<input type="hidden" class="form-control" name="latitude" id="latitude" value="{{ $latitude }}" placeholder="Enter latitude" >
						<input type="hidden" class="form-control" name="longitude" id="longitude" value="{{ $longitude }}" placeholder="Enter longitude" >
						<input type="hidden" class="form-control" name="city" id="city" value="{{ $city }}" >
						<input type="hidden" class="form-control" name="state" id="state" value="{{ $state }}" placeholder="Enter longitude" >
						<input type="hidden" class="form-control" name="country" id="country" value="{{ $country }}" placeholder="Enter longitude" >
						<input type="hidden" class="form-control" name="postal_code" id="postal_code" value="{{ $postal_code }}">
						<div class="user-pro-detail-content-dt-one">
							<div class="user-pro-detail-content-left">
								<label>Is Active ?</label>
							</div>
							<div class="user-pro-detail-content-right">
								<input name="status" type="checkbox" value="<?php echo $status; ?>" <?php if($status != "" && $status == '1'){ echo 'checked="checked"'; } ?> onclick="jQuery(this).attr('value', this.checked ? 1 : 0)">
							</div>
						</div>

					</div>
					<div class="next-step-btn-main">
						{{ Form::button(
								'Save',
								[
									'class' => 'next-step',
									'type' => 'submit'
								]
							)
						}}
					</div>
				</div>
			</div>
		{{ Form::close() }}
	</div>
</div>

@endsection