@extends('adminpanel.default.master')

<?php

$title = 'SubCategory | ' . config('global.sitetitle');

?>

@section('title', $title)

@section('content')



    <?php
    
    $label = 'Create';
    
    $categoryId = '';
    
    $subcategoryName = '';
    
    $id = '';
    
    $isError = false;
    
    $formRoute = 'adminpanel.subcategory.save';
    
    $clogo = asset('adminpanel/images/default-user.jpg');
    
    if (isset($data['error'])) {
        $isError = true;
    
        if ($data['type'] == 'edit') {
            $label = 'Edit';
    
            $formRoute = 'adminpanel.subcategory.update';
        }
    
        $categoryId = $data['input']['categoryId'];
    
        $subcategoryName = $data['input']['subcategoryName'];
    } else {
        if ($data['type'] == 'Edit') {
            $label = 'Edit';
    
            $categoryId = $data['input'][0]->categoryId;
    
            $subcategoryName = $data['input'][0]->subcategoryName;
    
            $id = $data['input'][0]->id;
    
            $formRoute = 'adminpanel.subcategory.update';
        }
    }
    
    ?>

    <div class="top-dashboard-title">

        <div class="d-code-main">

            <div class="d-title">

                <h4><strong>{{ $label }} SubCategory</strong><span>|</span>Enter SubCategory details and
                    submit </h4>

            </div>

        </div>

    </div>



    <div class="dashboard-content-main add-user-main">

        <div class="add-user-one-main-content">

            @if ($errors->any())
                <div class="error-message-box">

                    <p>{{ $errors->first() }}</p>

                </div>
            @endif

            @if ($isError)
                <div class="error-message-box">

                    <?php foreach ($data['error']->all() as $error) {
                        echo '<p>' . $error . '</p>';
                    } ?>

                </div>
            @endif

            {{ Form::open(['route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data']) }}

            {{ Form::hidden('id', $id) }}

            <div class="user-pro-detail-main-content">

                <div class="user-pro-detail-sub-content">

                    <div class="user-pro-detail-main-content-title">

                        <h1>SubCategory management:</h1>

                    </div>

                    <div class="user-pro-detail-content">

                        <div class="user-pro-detail-content-dt-one">

                            {{-- <div class="user-pro-detail-content-left">

                                        <label>Profile Image</label>

                                    </div>

                                    <div class="user-pro-detail-content-right">

                                        <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">

                                            <img src="{{ $clogo }}" id="logoimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">

                                            <div class="button-wrapper">

                                                <span class="label">

                                                    <img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">

                                                </span>

                                                {{ Form::file(

                                                    'profilePicture', 

                                                    [

                                                        'class' => 'upload-box',

                                                        'id' => 'image',

                                                        'placeholder' => 'Select Profile Image',

                                                        'onchange' => 'displaySingleImagePreview(this, "logoimg")'

                                                    ]

                                                    ) 

                                                }}

                                            </div>

                                        </div>

                                    </div> --}}

                        </div>

                        <div class="user-pro-detail-content-dt-one">

                            <div class="user-pro-detail-content-left">

                                <label>Select Category</label>

                            </div>

                            <div class="user-pro-detail-content-right">

                                {{ Form::select(
                                    'categoryId',
                                    $cat,
                                    $categoryId,
                                
                                    [
                                        'class' => 'category form-control',
                                
                                        'placeholder' => 'Select Category',
                                
                                        'required' => true,
                                
                                        'id' => 'category',
                                    ],
                                ) }}

                            </div>

                        </div>

                        <div class="user-pro-detail-content-dt-one">

                            <div class="user-pro-detail-content-left">

                                <label>SubCategory Name</label>

                            </div>

                            <div class="user-pro-detail-content-right">

                                {{ Form::text(
                                    'subcategoryName',
                                    $subcategoryName,
                                
                                    [
                                        'class' => 'form-control',
                                
                                        'placeholder' => 'Enter SubCategory Name',
                                
                                        'required' => true,
                                    ],
                                ) }}

                            </div>

                        </div>


                    </div>

                    <div class="next-step-btn-main">

                        {{ Form::button(
                            'Save',
                        
                            [
                                'class' => 'next-step',
                        
                                'type' => 'submit',
                            ],
                        ) }}

                    </div>

                </div>

            </div>

            {{ Form::close() }}

        </div>

    </div>



@endsection