@extends('adminpanel.default.master')
@if($data['type'] == "add")
@section('title', 'Add User')
@else
@section('title', 'Edit User')
@endif
@section('content')
<?php
	$label 			= "Add";
	$id         	= "";
	$userName 		= "";
	$email 			= "";
	$password 		= "";
	$isError 		= false;
	$formRoute 		= 'adminpanel.user.save';
	$profileImage	= asset('uploads/default-user.jpg');
	$fprofileImage	= asset('uploads/default-user.jpg');
	if(isset($data['error']))
	{
		$isError = true;
		if($data['type']=="Edit")
		{
			$label = "Edit";
			$formRoute = 'adminpanel.user.update';
		}
          $id=$data['input']['id'];
		$userName 		= $data['input']['userName'];
		$email 			= $data['input']['email'];
	}
	else
	{
		if($data['type'] == "Edit")
		{
			$label 			= "Edit";
			$id 			= $data['input'][0]->id;
			$userName 		= $data['input'][0]->userName;
			$email 			= $data['input'][0]->email;
			$password 		= $data['input'][0]->password;
			$formRoute = 'adminpanel.user.update';
		}
	}
?>
<div class="top-dashboard-title">
	<div class="d-code-main">
		<div class="d-title">
			<h4><strong>{{ $label }} User</strong></h4>
		</div>
	</div>
</div>
<div class="dashboard-content-main add-user-main">
	<div class="add-user-one-main-content">
		
		@if($isError)
		<div class="error-message-box">
			<?php foreach($data['error']->all() as $error) {
					echo "<p>". $error . "</p>";
				} ?>
		</div>
		@endif
		{{ Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data')) }}
		{{ Form::hidden(
		'id', $id
		)
		}}
		<div class="user-pro-detail-main-content">
			<div class="user-pro-detail-sub-content">
				<div class="user-pro-detail-content">
					<!-- Add Tab Content -->
					<div class="tab-content">
						<!-- English Tab -->
						<div class="tab-pane fade show active" id="english" role="tabpanel" aria-labelledby="english-tab">
                        <div class="user-pro-detail-content-dt-one">
    <div class="user-pro-detail-content-left">
        <label>User Name</label> <span style="color: red;">*</span>
    </div>
    <div class="user-pro-detail-content-right">
        {{ Form::text('userName', $userName, ['class' => 'form-control', 'placeholder' => 'Enter Name']) }}
    </div>
</div>

<div class="user-pro-detail-content-dt-one">
    <div class="user-pro-detail-content-left">
        <label>Email</label> <span style="color: red;">*</span>
    </div>
    <div class="user-pro-detail-content-right">
        {{ Form::email('email', $email, ['class' => 'form-control', 'placeholder' => 'Enter email']) }}
    </div>
</div>

<div class="user-pro-detail-content-dt-one">
    <div class="user-pro-detail-content-left">
        <label>Password</label> <span style="color: red;">*</span>
    </div>
    <div class="user-pro-detail-content-right">
        {{ Form::password('password', ['class' => 'form-control', 'placeholder' => 'Enter Password']) }}
    </div>
</div>

						</div>

						<!-- French Tab -->
						<div class="tab-pane fade" id="french" role="tabpanel" aria-labelledby="french-tab">
							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>Profile Image</label>
								</div>
								<div class="user-pro-detail-content-right">
									<div class="user-img-main"
										style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
										<img src="{{ $fprofileImage }}" id="logoimg_french"
											style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
										<div class="button-wrapper">
											<span class="label">
												<img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}">
											</span>
											{{ Form::file(
											'fprofileImage',
											[
											'class' => 'upload-box',
											'id' => 'profileImage_french',
											'placeholder' => 'Select Profile Image',
											'onchange' => 'displaySingleImagePreview(this, "logoimg_french")'
											]
											)
											}}
										</div>
									</div>
								</div>
							</div>
							<div class="user-pro-detail-content-dt-one">
								<div class="user-pro-detail-content-left">
									<label>User Name In French</label> <span style="color: red;">*</span>
								</div>
								<div class="user-pro-detail-content-right">
									{{ Form::text(
									'fuserName', isset($data['input'][0]->fuserName) ? $data['input'][0]->fuserName : '',
									[
									'class' => 'form-control',
									'placeholder' => 'Enter Name in French'
									]
									)
									}}
									@error('fuserName') <span style="color:#ff0000;width: 100%;text-align: left;padding: 2px;">{{ $errors->first('fuserName') }}</span> @enderror
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="next-step-btn-main">
					{{ Form::button(
					'Save',
					[
					'class' => 'next-step',
					'type' => 'submit'
					]
					)
					}}
				</div>
			</div>
		</div>
		{{ Form::close() }}
	</div>
</div>


<!-- Add JavaScript -->
<script type="text/javascript">
	document.addEventListener('DOMContentLoaded', function() {
		// Tab switching functionality
		const tabButtons = document.querySelectorAll('.nav-link');
		const tabContents = document.querySelectorAll('.tab-pane');

		tabButtons.forEach(button => {
			button.addEventListener('click', (e) => {
				e.preventDefault();
				
				// Remove active class from all buttons and contents
				tabButtons.forEach(btn => {
					btn.classList.remove('active');
					btn.setAttribute('aria-selected', 'false');
				});
				tabContents.forEach(content => {
					content.classList.remove('show', 'active');
				});
				
				// Add active class to clicked button and its content
				button.classList.add('active');
				button.setAttribute('aria-selected', 'true');
				
				const targetId = button.getAttribute('data-bs-target').substring(1);
				const targetContent = document.getElementById(targetId);
				targetContent.classList.add('show', 'active');
			});
		});
	});
</script>
@endsection