@extends('adminpanel.default.master')
@section('title', 'Manage User')
@section('content')
<div class="top-dashboard-title">
	<div class="d-code-main listing-page-head-src">
		<div class="d-title">
			<h4><strong>User</strong><span>|</span>{{ $data->total() }} Total</h4>
			<div class="input-group md-form form-sm form-2 pl-0" style="width:450px;">
				<form method="get" action="{{ route('adminpanel.user.search') }}" enctype="multipart/form-data"
					style="display: flex;" id="search_form">
					<input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..."
						aria-label="Search">
					<div class="input-group-append">
						<span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
								aria-hidden="true"></i></span>
					</div>
					&nbsp;&nbsp;&nbsp;
					<a href="{{url('adminpanel/manageuser')}}">
						<button class="btn btn-primary" type="button"> Reset</button>
					</a>
				</form>
			</div>
			<div class="filter-range-picker"></div>
		</div>
	</div>
	<div class="action-btn listing-page-head-btn">
		<a href="{{ route('adminpanel.user.add') }}" class="btn-main">Add User</a>
	</div>
</div>
<div class="dashboard-content-main add-user-main listing-page-main">
	<div class="add-user-one-main-content padding-zero">
		@if(session()->has('success'))
		<div class="success-message-box">
			{{ session('success') }}
		</div>
		@endif
		@if($errors->any())
		<div class="error-message-box">
			<p>{{$errors->first()}}</p>
		</div>
		@endif
		<div class="data-table-main">
			<table id="example" class="table table-striped table-bordered" style="width:100%">
				<thead>
					<tr>
						<th>No</th>
						<th>User Name</th>
						<th>Email</th>
                        <th>Status</th>
						<th>Actions</th>
					</tr>
				</thead>
				<tbody>
					<?php $counter = 0; ?>
					@foreach ($data as $d)
					<?php $counter++; ?>
					<tr>
						<td>{{ $counter }}</td>
						<td>{{ $d->userName }} </td>
						<td>{{ $d->email}}</td>
						<td>
							@if($d->isActive == 1)
							<span class="success-main gre-clr">Active</span>
							@else
							<span class="success-main pink-clr">Deactive</span>
							@endif
						</td>
						<td class="dropdown-td">
							<a href="javascript:;" data-toggle="dropdown"><img
									src="{{ asset('adminpanel/images/icon.png') }}"></a>
							<div class="dropdown-menu">
								@if($d->isActive == 0)
								<a class="dropdown-item" href="javascript:void(0)"
									onclick="confirmApproved('User', '{{ url('/adminpanel/activeuser/'.$d->id) }}')"><span><i
											class="fas fa-check"></i></span>Active</a>
								@else
								<a class="dropdown-item" href="javascript:void(0)"
									onclick="confirmReject('User', '{{ url('/adminpanel/deactiveuser/'.$d->id) }}')"><span><i
											class="fas fa-times"></i></span>Deactive</a>
								@endif
								<a class="dropdown-item" href="{{ url('/adminpanel/edituser/'.$d->id) }}"><span><i
											class="fas fa-edit"></i></span>Edit</a>
								<a class="dropdown-item" href="javascript:void(0)"
									onclick="confirmDelete('User', '{{ url('/adminpanel/deleteuser/'.$d->id) }}')"><span><i
											class="fas fa-trash-alt"></i></span>Delete</a>
							</div>
						</td>
					</tr>
					@endforeach
				</tbody>
			</table>
		</div>
		<div class="listing-page-main-bottom">
			<div class="listing-page-main-bottom-left">
				{{ $data->render() }}
			</div>
			<div class="listing-page-main-bottom-right">
				<div class="listing-page-main-bottom-right-drop-down"></div>
				<div class="listing-page-main-bottom-right-cnt">
					<p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
<script>
	$(document).ready(function() {
		$('#example').DataTable();
	} );
	$('#startDate').datepicker({
		uiLibrary: 'bootstrap4'
	});
	$('#endDate').datepicker({
		uiLibrary: 'bootstrap4'
	});
</script>
<script type="text/javascript">
	var confirmApproved = function(section, url) {
swal({
    title: "Are you sure?",
    text: "You want to active this " + section,
    icon: "error",
    buttons: true,
    dangerMode: true,
})
.then((willDelete) => {
    if (willDelete) {
        window.location.href = url;
    }
});
};
var confirmReject = function(section, url) {
swal({
    title: "Are you sure?",
    text: "You want to deactive this " + section,
    icon: "error",
    buttons: true,
    dangerMode: true,
})
.then((willDelete) => {
    if (willDelete) {
        window.location.href = url;
    }
});
};
</script>