@extends('adminpanel.default.master')

@section('title', 'Static Page')

@section('content')

                
<?php
$label = "Edit";

$page_title = "";
$short_description = "";
$description = "";
$email = "";
$contactNumber = "";
$location = "";
$id = "";
$isError = false;
$formURL = route('adminpanel.staticpage.updatepage');
$picture = asset('adminpanel/images/default-user.jpg');

if(isset($data['error'])) {
    $isError = true;
    $page_title = $data['pagedata']['page_title'];
    $short_description = $data['pagedata']['short_description'];
    $description = $data['pagedata']['description'];
    $email = $data['pagedata']['email'];
    $contactNumber = $data['pagedata']['contactNumber'];
    $location = $data['pagedata']['location'];
} else { 
    if($data['type'] == "edit") {
        $id = $data['pagedata'][0]->id;
        $page_title = $data['pagedata'][0]->page_title;
        $email = $data['pagedata'][0]->email;
        $contactNumber = $data['pagedata'][0]->contactNumber;
        $short_description = $data['pagedata'][0]->short_description;
        $description = $data['pagedata'][0]->description;
        $location = $data['pagedata'][0]->location;
        $picture = $data['pagedata'][0]->picture;
        if($picture!="" && $picture!=null) {
            if(file_exists(public_path()."/uploads/staticpage_images/".$picture)) {
                $picture = asset('uploads/staticpage_images/'.$picture);
            }
        }
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>{{ $label }} Static Page</strong><span>|</span>Enter static page details and submit </h4>
        </div>
    </div>
</div>

<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <div class="add-user-one-main-content-top">
            @if(session()->has('success'))
                <div class="success-message-box">
                    {{ session('success') }}
                </div>
            @endif
            @if($isError)
                <div class="error-message-box">
                    <?php foreach($data['error']->all() as $error) {
                        echo "<p>". $error . "</p>";
                    } ?>
                </div>
            @endif
        </div>
        <form method="post" action="{{ $formURL }}" enctype="multipart/form-data">
            <input name="_token" type="hidden" value="{{ csrf_token() }}"/>
            <input name="id" type="hidden" value="{{ $id }}"/>
            <div class="user-pro-detail-main-content">
                <div class="user-pro-detail-sub-content">
                    <div class="user-pro-detail-main-content-title">
                        <h1>Static page management:</h1>
                    </div>
                    <div class="user-pro-detail-content">
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Static page Image</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                    <img src="{{ $picture }}" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                        <div class="button-wrapper">
                                            <span class="label"><img src="{{ asset('adminpanel/images/pencil-edit-button.svg') }}"></span>
                                            <input type="file" name="picture" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Page title</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter Page Title" name="page_title" class="form-control" value="{{ $page_title }}">
                                </div>
                            </div>

                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Short Description</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <textarea placeholder="Enter Short Description" name="short_description" class="form-control">{{ $short_description }}</textarea>
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Description</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <?php
                                        include('./public/adminpanel/FCKeditor/fckeditor.php');
                                        $oFCKeditor4 = new FCKeditor('description') ;
                                        $oFCKeditor4->BasePath = env('ASSET_URL').'/adminpanel/FCKeditor/';
                                        $oFCKeditor4->Value = $description;
                                        $oFCKeditor4->Height = 500;
                                        $oFCKeditor4->Create() ;
                                    ?>
                                </div>
                            </div>
                            @if($id == 3)
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Email Id</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter Email Id" name="email" class="form-control" value="{{ $email }}">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Contact Number</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter Contact Number" name="contactNumber" class="form-control" value="{{ $contactNumber }}">
                                </div>
                            </div>
                            <div class="user-pro-detail-content-dt-one">
                                <div class="user-pro-detail-content-left">
                                    <label>Location</label>
                                </div>
                                <div class="user-pro-detail-content-right">
                                    <input type="text" placeholder="Enter Location" name="location" class="form-control" value="{{ $location }}">
                                </div>
                            </div>
                            @endif
                        </div>
                    <div class="next-step-btn-main">
                        <button type="submit" class="next-step">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection