<?php



// use Illuminate\Support\Facades\Route;



/*

|--------------------------------------------------------------------------

| Web Routes

|--------------------------------------------------------------------------

|

| Here is where you can register web routes for your application. These

| routes are loaded by the RouteServiceProvider within a group which

| contains the "web" middleware group. Now create something great!

|

*/



Route::get('', function () {

    return redirect('/login');

})->name('index');

Route::get('/login', 'AuthController@login')->name('login');

Route::post('/login', 'AuthController@submitlogin')->name('submitlogin');

Route::get('/logout', 'AuthController@logout')->name('logout');



Route::group(['middleware' => 'auth:admin'], function(){

	//Dashboard

	Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
	Route::get('/manageuser', 'UserController@manage')->name('user.manage');
	Route::get('/searchuser', 'UserController@search')->name('user.search');
	Route::post('/adduser', 'UserController@save')->name('user.save');
	Route::get('/adduser', 'UserController@add')->name('user.add');
	Route::get('/activeuser/{id}', 'UserController@active')->name('user.active');
	Route::get('/deactiveuser/{id}', 'UserController@deactive')->name('user.deactive');
	Route::get('/edituser/{id}', 'UserController@edit')->name('user.edit');
    Route::post('/edituser', 'UserController@update')->name('user.update');
	Route::get('/deleteuser/{id}', 'UserController@delete')->name('user.delete');




  // category routes..
  Route::get('/managecategory', 'CategoryController@manage')->name('category.manage');
  Route::get('/addcategory', 'CategoryController@add')->name('category.add');
  Route::post('/addcategory', 'CategoryController@save')->name('category.save');
  Route::get('/editcategory/{id}', 'CategoryController@edit')->name('category.edit');
  Route::post('/editcategory', 'CategoryController@update')->name('category.update');
  Route::get('/deletecategory/{id}', 'CategoryController@delete')->name('category.delete');
  Route::get('/searchcategory', 'CategoryController@search')->name('category.search');
  Route::get('/activecategory/{id}', 'CategoryController@active')->name('category.active');
  Route::get('/deactivecategory/{id}', 'CategoryController@deactive')->name('category.deactive');


  Route::get('/managecategorylevel', 'CategoryLevelController@manage')->name('categorylevel.manage');
  Route::get('/addcategorylevel', 'CategoryLevelController@add')->name('categorylevel.add');
  Route::post('/addcategorylevel', 'CategoryLevelController@save')->name('categorylevel.save');
  Route::get('/editcategorylevel/{id}', 'CategoryLevelController@edit')->name('categorylevel.edit');
  Route::post('/editcategorylevel', 'CategoryLevelController@update')->name('categorylevel.update');
  Route::get('/deletecategorylevel/{id}', 'CategoryLevelController@delete')->name('categorylevel.delete');
  Route::get('/searchcategorylevel', 'CategoryLevelController@search')->name('categorylevel.search');
  Route::get('/activecategorylevel/{id}', 'CategoryLevelController@active')->name('categorylevel.active');
  Route::get('/deactivecategorylevel/{id}', 'CategoryLevelController@deactive')->name('categorylevel.deactive');

  Route::get('/managelevel', 'LevelController@manage')->name('level.manage');
  Route::get('/addlevel', 'LevelController@add')->name('level.add');
  Route::post('/addlevel', 'LevelController@save')->name('level.save');
  Route::get('/editlevel/{id}', 'LevelController@edit')->name('level.edit');
  Route::post('/editlevel', 'LevelController@update')->name('level.update');
  Route::get('/deletelevel/{id}', 'LevelController@delete')->name('level.delete');
  Route::get('/searchlevel', 'LevelController@search')->name('level.search');
  Route::get('/activelevel/{id}', 'LevelController@active')->name('level.active');
  Route::get('/deactivelevel/{id}', 'LevelController@deactive')->name('level.deactive');
  Route::get('/ajaxgetLevelCategory', 'LevelController@ajaxgetLevelCategory')->name('level.ajaxgetLevelCategory');
  Route::get('/forbidden-words', 'LevelController@getGlobalForbiddenWords')->name('forbidden-words');


  Route::get('/managelevelword/{id}', 'LevelwordController@manage')->name('levelword.manage');
  Route::post('/editmanagelevelword', 'LevelwordController@update')->name('levelword.update');

});



?>
