<?php if($data['type'] == 'add'): ?>
    <?php $__env->startSection('title', 'Add Level'); ?>
<?php else: ?>
    <?php $__env->startSection('title', 'Edit Level'); ?>
<?php endif; ?>

<?php $__env->startSection('content'); ?>
    <?php
    $label = 'Add';
    $category_id = '';
    $display_name = '';
    $lock_type = '';
    $category_color = '';
    $unlock_amount = '';
    $clueList = "";
    $id = '';
    $isError = false;
    
    $formRoute = 'adminpanel.level.save';
    
    if (isset($data['error'])) {
        $isError = true;
        if ($data['type'] == 'Edit') {
            $label = 'Edit';
            $formRoute = 'adminpanel.level.update';
        }
        $category_id = $data['input']['category_id'];
        $display_name = $data['input']['display_name'];
        $id = $data['input']['id'];
    } elseif ($data['type'] == 'edit') {
        $label = 'Edit';
        $category_id = $data['input']->puzzle_category;
        $id = $data['input']->id;
        $display_name = $data['input']->level_name;
        $formRoute = 'adminpanel.level.update';
        if ($data['input']->data) {
            $gridData = json_decode($data['input']->data, true);
            if (isset($gridData['words'])) {
                $wordList = implode(',', $gridData['words']);
            }
            if (isset($gridData['clues'])) {
                $clueList = implode(',', $gridData['clues']);
            }
        }
    }
    ?>

    <!-- Add this JavaScript at the bottom of the file -->
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            <?php if(isset($gridData) && is_array($gridData) && (isset($gridData['rows']) || isset($gridData['grid_size']))): ?>
                document.getElementById('grid_size').value = "<?php echo e($gridData['rows'] ?? $gridData['grid_size']); ?>";
                document.getElementById('wordInput').value = "<?php echo e($wordList); ?>";
                document.getElementById('clueInput').value = "<?php echo e($clueList); ?>";
                document.getElementById('jsonOutput').value = JSON.stringify(<?php echo json_encode($gridData); ?>, null, 2);
                generateGridWithData(<?php echo json_encode($gridData); ?>);
            <?php else: ?>
                // Do not call generateGrid() here
            <?php endif; ?>
        });

        function generateGridWithData(data) {
            if (!data || !(data.rows || data.grid_size) || !data.board) return;

            const gridSize = data.rows || data.grid_size;
            const gridContainer = document.getElementById('grid-container');
            gridContainer.innerHTML = '';

            gridContainer.style.display = "grid";
            gridContainer.style.gridTemplateColumns = `repeat(${gridSize}, 40px)`;
            gridContainer.style.gridTemplateRows = `repeat(${gridSize}, 40px)`;

            for (let row = 0; row < gridSize; row++) {
                for (let col = 0; col < gridSize; col++) {
                    const gridItem = document.createElement('div');
                    gridItem.classList.add('grid-item');
                    gridItem.textContent = data.board[row][col] || '';
                    gridContainer.appendChild(gridItem);
                }
            }

            if (data.wordPlacements && data.wordPlacements.length > 0) {
                highlightWords(data.wordPlacements, gridSize);
            }
        }

        function highlightWords(placements, gridSize) {
            const gridItems = document.querySelectorAll('.grid-item');
            const colors = ['#ffcc00', '#00ff00', '#00ccff', '#ff66b2', '#a020f0', '#9a7d0a', '#1f618d', '#fae5d3', '#a3e4d7', '#28b463' ,'#154360']; // Array of colors

            // Reset all grid-item backgrounds before highlighting
            gridItems.forEach(item => {
                item.style.backgroundColor = '#f0f0f0'; // or your default color
            });

            // Get the current board from the grid
            let board = [];
            for (let row = 0; row < gridSize; row++) {
                board[row] = [];
                for (let col = 0; col < gridSize; col++) {
                    board[row][col] = gridItems[row * gridSize + col].textContent;
                }
            }

            placements.forEach((placement, index) => {
                const { row, col, h, v, word } = placement;
                const color = colors[index % colors.length];
                let matches = true;

                // Check if the word is actually present at the expected positions
                for (let i = 0; i < word.length; i++) {
                    const currentRow = row + (i * v);
                    const currentCol = col + (i * h);
                    if (
                        currentRow < 0 || currentRow >= gridSize ||
                        currentCol < 0 || currentCol >= gridSize ||
                        board[currentRow][currentCol] !== word[i]
                    ) {
                        matches = false;
                        break;
                    }
                }

                // Only highlight if all letters match
                if (matches) {
                    for (let i = 0; i < word.length; i++) {
                        const currentRow = row + (i * v);
                        const currentCol = col + (i * h);
                        const idx = currentRow * gridSize + currentCol;
                        if (gridItems[idx]) {
                            gridItems[idx].style.backgroundColor = color;
                        }
                    }
                }
            });
        }
    </script>


    <div class="top-dashboard-title">
        <div class="d-code-main">
            <div class="d-title">
                <h4><strong><?php echo e($label); ?> Level </strong></h4>
            </div>
        </div>
    </div>

    <div class="dashboard-content-main add-user-main">
        <div class="add-user-one-main-content">
            <?php echo e(Form::open(['route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'])); ?>

            <?php echo e(Form::hidden('id', $id)); ?>

            <?php echo e(Form::hidden('data', '', ['id' => 'data'])); ?>

            <div class="user-pro-detail-main-content">
                <div class="user-pro-detail-sub-content">
                    <div class="user-pro-detail-content">

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Category</label> <span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <?php echo e(Form::select('category_id', [''=>'Select Category'] + $category, $category_id, [
                                    'class' => 'form-control',
                                    'required' => true,
                                    'id' => 'category_id',
                                ])); ?>

                            </div>
                        </div>


                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Display Name</label> <span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <?php echo e(Form::text('display_name', $display_name, [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Display Name',
                                    'required' => true,
                                ])); ?>

                            </div>
                        </div>

                        <!-- Unlock Amount Field -->
                        

                        <!-- Grid Selection and Display -->
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Grid Size</label> <span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <select class="form-control" name="grid_size" id="grid_size" onchange="generateGrid()">
                                    <option value="">Select Gride Size</option>
                                    <option value="7">7x7 Grid</option>
                                    <option value="10">10x10 Grid</option>
                                    <option value="13">13x13 Grid</option>
                                </select>
                            </div>
                        </div>

                        <!-- Word Input as Textarea -->
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Enter Words (comma-separated)</label> <span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <textarea id="wordInput" name="worlds" class="form-control" placeholder="Enter words separated by commas"></textarea>
                            </div>
                        </div>
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Enter Clues (comma-separated)</label> <span style="color: red;">*</span>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <textarea id="clueInput" name="clues" class="form-control" placeholder="Enter Clues separated by commas"></textarea>
                            </div>
                        </div>
                        <!-- JSON Output Display -->
                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-left">
                                <label>Generated JSON</label>
                            </div>
                            <div class="user-pro-detail-content-right">
                                <textarea id="jsonOutput" name="data" class="form-control" rows="20"
                                    style="min-height: 400px; width: 100%; font-family: monospace; font-size: 14px;" readonly></textarea>
                            </div>
                        </div>

                        <div class="user-pro-detail-content-dt-one">
                            <div class="user-pro-detail-content-right">
                                <button type="button" class="btn btn-primary" onclick="generateWord()">Generate
                                    Word</button>
                            </div>
                        </div>

                        <div id="grid-container" class="grid-container" style="margin-top: 20px;"></div>
                    </div>
                </div>
            </div>
            <div class="next-step-btn-main">
                <?php echo e(Form::button('Save', [
                    'class' => 'next-step',
                    'type' => 'submit',
                ])); ?>

            </div>
        </div>
    </div>
    <?php echo e(Form::close()); ?>

    </div>
    </div>
    <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    </div>
    <!-- END** :: DASHBOARD -->
    </div>
    <div class="index-top-text-main">
        <div class="container">
            <div class="row">
                <div class="index-top-text-sub">
                    <h1></h1>
                    <p></p>
                </div>
            </div>
        </div>
    </div>

    <style>
        .grid-container {
            display: grid;
            gap: 5px;
        }

        .grid-item {
            width: 40px;
            height: 40px;
            background-color: #f0f0f0;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #ccc;
        }

        .highlight {
            background-color: #ffcc00 !important; /* Add !important */
            color: black;
        }
    </style>

    <script>
        function toggleFields() {
            var lockType = document.getElementById("lock_type").value;
            var unlockDiv = document.getElementById("unlock_amount_div");
            var unlockLabel = document.getElementById("unlock_label");

            if (lockType === "1") {
                unlockDiv.style.display = "flex";
                unlockLabel.innerText = "Unlock Coins Amount";
            } else if (lockType === "2") {
                unlockDiv.style.display = "flex";
                unlockLabel.innerText = "Unlock Keys Amount";
            } else if (lockType === "3") {
                unlockDiv.style.display = "flex";
                unlockLabel.innerText = "IAP Product Id";
            } else {
                unlockDiv.style.display = "none";
            }
        }

        function generateGrid() {
            const gridSize = document.getElementById('grid_size').value;
            const gridContainer = document.getElementById('grid-container');
            gridContainer.innerHTML = ''; // Clear previous grid

            gridContainer.style.gridTemplateColumns = `repeat(${gridSize}, 40px)`;
            gridContainer.style.gridTemplateRows = `repeat(${gridSize}, 40px)`;

            for (let i = 0; i < gridSize * gridSize; i++) {
                const gridItem = document.createElement('div');
                gridItem.classList.add('grid-item');
                gridItem.textContent = ''; // You can add content if needed
                gridContainer.appendChild(gridItem);
            }
        }

        function shuffleArray(array) {
            for (let i = array.length - 1; i > 0; i--) {
                const j = Math.floor(Math.random() * (i + 1));
                [array[i], array[j]] = [array[j], array[i]];
            }
        }
        function canPlaceWord(board, word, row, col, h, v) {
            const gridSize = board.length;
            for (let k = 0; k < word.length; k++) {
                const r = row + k * v;
                const c = col + k * h;
                if (r < 0 || r >= gridSize || c < 0 || c >= gridSize) return false;
                if (board[r][c] !== '' && board[r][c] !== word[k]) return false;
            }
            return true;
        }

        function placeWord(board, word, row, col, h, v) {
            for (let k = 0; k < word.length; k++) {
                const r = row + k * v;
                const c = col + k * h;
                board[r][c] = word[k];
            }
        }
        function generateWord() {
            const wordsToPlace = document.getElementById('wordInput').value.split(',')
                .map(word => word.trim().toUpperCase())
                .filter(word => word.length > 0);
            const clues = document.getElementById('clueInput').value.split(',')
                .map(word => word.trim())
                .filter(word => word.length > 0);
            const gridSize = parseInt(document.getElementById('grid_size').value);

            if (wordsToPlace.length !== clues.length) {
                alert("The number of words must be equal to the number of clues.");
                return;
            }
            const tooLongWords = wordsToPlace.filter(word => word.length > gridSize);
            if (tooLongWords.length > 0) {
                alert(
                    "The following word(s) are longer than the grid size (" + gridSize + "):\n\n" +
                    tooLongWords.join(', ') +
                    "\n\nPlease enter shorter words."
                );
                return;
            }

            fetch(`<?php echo e(route('adminpanel.forbidden-words')); ?>`)
                .then(response => response.json())
                .then(forbiddenWordsString => {
                    const forbiddenWords = forbiddenWordsString ? forbiddenWordsString.split(',').map(word => word.trim().toUpperCase()) : [];
                    let wordsToActuallyPlace = wordsToPlace.filter(word => !forbiddenWords.includes(word));
                    if (wordsToActuallyPlace.length < wordsToPlace.length) {
                        alert("One or more entered words are not allowed for this level.");
                        return;
                    }
                    if (wordsToActuallyPlace.length === 0) {
                        alert("Please enter words to generate the puzzle.");
                        return;
                    }

                    // Strongly prefer diagonal directions
                    const directions = [
                        { h: 1, v: 1 },   // Diagonal down-right
                        { h: -1, v: 1 },  // Diagonal down-left
                        { h: 1, v: 1 },   // Diagonal down-right (again)
                        { h: -1, v: 1 },  // Diagonal down-left (again)
                        { h: 1, v: 0 },   // Horizontal right
                        { h: 0, v: 1 }    // Vertical down
                    ];

                    shuffleArray(wordsToActuallyPlace); // Shuffle words for variety

                    const board = Array.from({ length: gridSize }, () => Array(gridSize).fill(''));
                    const wordPlacements = [];
                    const notPlacedWords = [];

                    for (let w = 0; w < wordsToActuallyPlace.length; w++) {
                        const word = wordsToActuallyPlace[w];
                        let placed = false;

                        // Try all positions and all directions for this word
                        let positions = [];
                        for (let row = 0; row < gridSize; row++) {
                            for (let col = 0; col < gridSize; col++) {
                                positions.push({ row, col });
                            }
                        }
                        shuffleArray(positions); // Shuffle positions for more randomness

                        for (const { row, col } of positions) {
                            for (const { h, v } of directions) {
                                if (canPlaceWord(board, word, row, col, h, v)) {
                                    placeWord(board, word, row, col, h, v);
                                    wordPlacements.push({ word, row, col, h, v });
                                    placed = true;
                                    break;
                                }
                            }
                            if (placed) break;
                        }
                        if (!placed) {
                            notPlacedWords.push(word);
                        }
                    }

                    // Fill empty cells deterministically
                    const filler = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
                    for (let row = 0; row < gridSize; row++) {
                        for (let col = 0; col < gridSize; col++) {
                            if (board[row][col] === '') {
                                const fillIndex = (row * gridSize + col) % filler.length;
                                board[row][col] = filler[fillIndex];
                            }
                        }
                    }

                    // Update grid and JSON
                    updateGridContent(board);
                    const output = {
                        rows: gridSize,
                        cols: gridSize,
                        words: wordsToActuallyPlace,
                        clues: clues.map(clue => clue.trim()),
                        board: board,
                        wordPlacements: wordPlacements
                    };
                    document.getElementById('data').value = JSON.stringify(output);
                    document.getElementById('jsonOutput').value = JSON.stringify(output, null, 2);
                    highlightWords(wordPlacements, gridSize);

                    // User-friendly alert for unplaced words
                    if (notPlacedWords.length > 0) {
                        alert(
                            'The following word(s) could not be placed in the grid:\n\n' +
                            notPlacedWords.join(', ') +
                            '\n\nPossible reasons:\n- The word is too long for the grid\n- Not enough space for all words\n- Overlap with other words'
                        );
                    }
                });
        }

        function resetGrid() {
            const gridContainer = document.getElementById('grid-container');
            gridContainer.innerHTML = '';
            const gridSize = parseInt(document.getElementById('grid_size').value) || 0;
            if (gridSize > 0) {
                gridContainer.style.gridTemplateColumns = `repeat(${gridSize}, 40px)`;
                gridContainer.style.gridTemplateRows = `repeat(${gridSize}, 40px)`;
                for (let i = 0; i < gridSize * gridSize; i++) {
                    const gridItem = document.createElement('div');
                    gridItem.classList.add('grid-item');
                    gridItem.textContent = '';
                    gridContainer.appendChild(gridItem);
                }
            }
            document.getElementById('data').value = '';
            document.getElementById('jsonOutput').value = '';
        }
        function updateGridContent(board) {
            const gridSize = board.length;
            const gridItems = document.querySelectorAll('.grid-item');

            for (let row = 0; row < gridSize; row++) {
                for (let col = 0; col < gridSize; col++) {
                    gridItems[row * gridSize + col].textContent = board[row][col];
                }
            }
        }
        function highlightWords1(placements, gridSize) {
            const gridItems = document.querySelectorAll('.grid-item');

            // Add highlights for each word
            placements.forEach(placement => {
                const { row, col, h, v, word } = placement;
                for (let i = 0; i < word.length; i++) {
                    const currentRow = row + (i * v);
                    const currentCol = col + (i * h);
                    const index = currentRow * gridSize + currentCol;
                    if (gridItems[index]) {
                        gridItems[index].classList.add('highlight');
                    }
                }
            });
        }

        document.addEventListener("DOMContentLoaded", function() {
            generateGrid(); // Ensure the grid is created on page load
            <?php if(isset($gridData) && is_array($gridData) && (isset($gridData['rows']) || isset($gridData['grid_size']))): ?>
                document.getElementById('grid_size').value = "<?php echo e($gridData['rows'] ?? $gridData['grid_size']); ?>";
                document.getElementById('wordInput').value = "<?php echo e($wordList); ?>";
                document.getElementById('clueInput').value = "<?php echo e($clueList); ?>";
                document.getElementById('jsonOutput').value = JSON.stringify(<?php echo json_encode($gridData); ?>, null, 2);
                generateGridWithData(<?php echo json_encode($gridData); ?>);
            <?php endif; ?>
        });

        function generateGridWithData(data) {
            if (!data || !(data.rows || data.grid_size) || !data.board) return;

            const gridSize = data.rows || data.grid_size;
            const gridContainer = document.getElementById('grid-container');
            gridContainer.innerHTML = '';

            gridContainer.style.display = "grid";
            gridContainer.style.gridTemplateColumns = `repeat(${gridSize}, 40px)`;
            gridContainer.style.gridTemplateRows = `repeat(${gridSize}, 40px)`;

            for (let row = 0; row < gridSize; row++) {
                for (let col = 0; col < gridSize; col++) {
                    const gridItem = document.createElement('div');
                    gridItem.classList.add('grid-item');
                    gridItem.textContent = data.board[row][col] || '';
                    gridContainer.appendChild(gridItem);
                }
            }

            if (data.wordPlacements && data.wordPlacements.length > 0) {
                highlightWords(data.wordPlacements, gridSize);
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/Puzz/resources/views/adminpanel/addlevel.blade.php ENDPATH**/ ?>