<?php $__env->startSection('title','Manage Category'); ?>
<?php $__env->startSection('content'); ?>
<div class="top-dashboard-title">
    <div class="d-code-main listing-page-head-src">
        <div class="d-title">
            <h4><strong>Category</strong><span>|</span><?php echo e($data->total()); ?> Total</h4>
            <div class="input-group md-form form-sm form-2 pl-0" style="width:450px;">
                <form method="get" action="<?php echo e(route('adminpanel.category.search')); ?>" enctype="multipart/form-data" style="display: flex;" id="search_form">
                    <input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
                    <div class="input-group-append">
                        <span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
                                aria-hidden="true"></i></span>
                    </div>
                    &nbsp;&nbsp;&nbsp;
                    <a href="<?php echo e(url('adminpanel/managecategory')); ?>">
                        <button class="btn btn-primary" type="button">Reset</button>
                    </a>
                </form>
            </div>
            <div class="filter-range-picker">
            </div>
        </div>
    </div>
    <div class="action-btn listing-page-head-btn">
        <a href="<?php echo e(route('adminpanel.category.add')); ?>" class="btn-main">Add Category</a>
    </div>
</div>
<div class="dashboard-content-main add-user-main listing-page-main">
    <div class="add-user-one-main-content padding-zero">
        <?php if(session()->has('success')): ?>
        <div class="success-message-box">
            <?php echo e(session('success')); ?>

        </div>
        <?php endif; ?>
        <?php if($errors->any()): ?>
        <div class="error-message-box">
            <p><?php echo e($errors->first()); ?></p>
        </div>
        <?php endif; ?>
        <div class="data-table-main">
            <table id="example" class="table table-striped table-bordered" style="width:100%">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Category Image</th>
                        <th>Category Name</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $counter = 0; ?>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php $counter++; ?>
                    <tr>
                        <td><?php echo e($counter); ?>

                        </td>
                        <td>
                            <span class="user-name-main">
                                <?php
                                $categoryImage = asset('adminpanel/images/default-user.png');
                                if ($d->categoryImage != "" && $d->categoryImage != null) {
                                    if (file_exists(public_path() . "/uploads/categoryImage/" . $d->categoryImage)) {
                                        $categoryImage = URL::asset('uploads/categoryImage/' . $d->categoryImage);
                                    }
                                }
                                ?>
                                <span class="bck-clr"><img src="<?php echo e($categoryImage); ?>"></span>
                        </td>
                        <td>
                            <span class="user-name-main">
                                <span class="user-name">
                                    <h1><?php echo e($d->categoryName); ?> </h1>
                                </span>
                            </span>
                        </td>
                        <td>
                            <?php if($d->isActive == 1): ?>
                            <span class="success-main gre-clr">Active</span>
                            <?php else: ?>
                            <span class="success-main pink-clr">Deactive</span>
                            <?php endif; ?>
                        </td>
                        <td class="dropdown-td">
                            <a href="javascript:;" data-toggle="dropdown"><img src="<?php echo e(asset('adminpanel/images/icon.png')); ?>"></a>
                            <div class="dropdown-menu">
                                <?php if($d->isActive == 0): ?>
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmApproved('Category', '<?php echo e(url('/adminpanel/activecategory/'.$d->id)); ?>')"><span><i class="fas fa-check"></i></span>Active</a>
                                <?php else: ?>
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmReject('Category', '<?php echo e(url('adminpanel/deactivecategory/'.$d->id)); ?>')"><span><i class="fas fa-times"></i></span>Deactive</a>
                                <?php endif; ?>
                                <a class="dropdown-item" href="<?php echo e(url('/adminpanel/editcategory/'.$d->id)); ?>"><span><i class="fas fa-edit"></i></span>Edit</a>
                                <a class="dropdown-item" href="javascript:void(0)" onclick="confirmDelete('Category', '<?php echo e(url('/adminpanel/deletecategory/'.$d->id)); ?>')"><span><i class="fas fa-trash-alt"></i></span>Delete</a>
                            </div>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <div class="listing-page-main-bottom">
            <div class="listing-page-main-bottom-left">
                <?php echo e($data->render()); ?>

            </div>
            <div class="listing-page-main-bottom-right">
                <div class="listing-page-main-bottom-right-drop-down">
                </div>
                <div class="listing-page-main-bottom-right-cnt">
                    <p> Showing <?php echo e($data->firstItem()); ?> - <?php echo e($data->lastItem()); ?> of <?php echo e($data->total()); ?></p>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<script>
    $(document).ready(function() {
        $('#example').DataTable();
    });
    $('#startDate').datepicker({
        uiLibrary: 'bootstrap4'
    });
    $('#endDate').datepicker({
        uiLibrary: 'bootstrap4'
    });
</script>
<script type="text/javascript">
    var confirmApproved = function(section, url) {
        swal({
                title: 'Are you sure?',
                text: 'You want to active this ' + section,
                icon: "error",
                buttons: true,
                dangerMode: true,
            })
            .then((willDelete) => {
                if (willDelete) {
                    window.location.href = url;
                }
            });
    };
    var confirmReject = function(section, url) {
        swal({
                title: 'Are you sure?',
                text: 'You want to deactive this ' + section,
                icon: "error",
                buttons: true,
                dangerMode: true,
            })
            .then((willDelete) => {
                if (willDelete) {
                    window.location.href = url;
                }
            });
    };
</script>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/Puzz/resources/views/adminpanel/managecategory.blade.php ENDPATH**/ ?>